%exam_8_55
clear;
A=imread('pens.bmp');%读取图像；
M=rgb2gray(A);
N1=imnoise(M,'salt & pepper',0.02);%中值滤波去噪
N2=imnoise(M,'gaussian',0,0.02);
N3=imnoise(M,'speckle',0.02);
G1=medfilt2(N1);
G2=medfilt2(N2);
G3=medfilt2(N3);
subplot(2,3,1);imshow(N1);
xlabel('(a) 添加椒盐噪声图像','Fontsize',20);
subplot(2,3,2);imshow(N2);
xlabel('(b) 添加高斯噪声','Fontsize',20);
subplot(2,3,3);imshow(N3);
xlabel('(c) 添加乘性噪声','Fontsize',20);
subplot(2,3,4);imshow(G1);
xlabel('(d) 椒盐噪声中值滤波图像','Fontsize',20);
subplot(2,3,5);imshow(G2);
xlabel('(e) 高斯噪声中值滤波图像','Fontsize',20);
subplot(2,3,6);imshow(G3);
xlabel('(f) 乘性噪声中值滤波图像','Fontsize',20);




